### Constructor

# Gsk TextureScaleNodenew

since: 4.10

#### Declaration [src]

    GskRenderNode*
    gsk_texture_scale_node_new (
      GdkTexture* texture,
      const graphene_rect_t* bounds,
      GskScalingFilter filter
    )

#### Description [src]

Creates a node that scales the texture to the size given by the bounds using the filter and then places it at the bounds’ position.

Note that further scaling and other transformations which are applied to the node will apply linear filtering to the resulting texture, as usual.

This node is intended for tight control over scaling applied to a texture, such as in image editors and requires the application to be aware of the whole render tree as further transforms may be applied that conflict with the desired effect of this node.

Available since: 4.10

#### Parameters

`texture`

  Type: `GdkTexture`

  The texture to scale.

  The data is owned by the caller of the function.

`bounds`

  Type: `graphene_rect_t`

  The size of the texture to scale to.

  The data is owned by the caller of the function.

`filter`

  Type: `GskScalingFilter`

  How to scale the texture.

#### Return value

Type: `GskTextureScaleNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.